ICU 74.1 74.1

LocalUFormattedNumberPointer Class Reference

"Smart pointer" class; closes a UFormattedNumber via unumf_closeResult(). More...

`#include <uformattednumber.h>`

## Detailed Description

"Smart pointer" class; closes a UFormattedNumber via unumf_closeResult().

For most methods see the LocalPointerBase base class.

Usage:

    LocalUFormattedNumberPointer uformatter(unumf_openResult(...));
    // no need to explicitly call unumf_closeResult()

See also
  LocalPointerBase
  LocalPointer

Stable:
  ICU 62

For most methods see the LocalPointerBase base class.

Usage:

    LocalUFormattedNumberRangePointer uresult(unumrf_openResult(...));
    // no need to explicitly call unumrf_closeResult()

See also
  LocalPointerBase
  LocalPointer

Stable:
  ICU 68

Definition at line 451 of file unumberrangeformatter.h.

The documentation for this class was generated from the following files:

- i18n/unicode/uformattednumber.h
- i18n/unicode/unumberrangeformatter.h